<?php
/**
 * Diafan.CMS
 *
 * @author     Denis (aka Racoon) Bazhenov
 * @version    5.0
 * @copyright  Copyright (c) 2012 OOO "Онлайн Мастер". (http://onmaster.ru)
 */

if (!defined('DIAFAN')) {
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

/**
 * Шаблонная функция: форма поиска шин и дисков для авто
 */
echo '<div class="shop_search sh_auto">';
echo '<div class="shs_tit">Подбор шин и дисков для авто:</div>';
echo '<div class="shs_form">
        <form method="get" action="' . BASE_PATH_HREF . $result["path"] . '">
<input type="hidden" value="' . $result["cat_id"] . '" name="catid">
<input type="hidden" value="search" name="action">';

if (!empty($result["name"]))
{
	echo '<div class="shop_search_name">
		<span class="infofield">' . $this->_('NAME') . ':</span>
		<input type="text" name="n" size="20" value="' . $result["name"]["value"] . '" class="inptext">
	</div>';
}
/*
if (!empty($result["article"]))
{
	echo '<div class="shop_search_article">
		<span class="infofield">' . $this->_('ARTICLE') . ':</span>
		<input type="text" name="a" size="20" value="' . $result["article"]["value"] . '" class="inptext">
	</div>';
}

if (!empty($result["text"]))
{
	echo '<div class="shop_search_description">
		<span class="infofield">' . $this->_('DESCRIPTION') . ':</span>
		<input type="text" name="d" size="20" value="' . $result["text"]["value"] . '" class="inptext">
	</div>';
}

if (!empty($result["price"]))
{
	echo '<div class="shop_search_price">
		<span class="infofield">' . $this->_('PRICE') . ':</span> 
		' . $this->_('FROM') . ' <input type="text" name="pr1" size="5" value="' . $result["price"]["value1"] . '" class="inpnum"> '
	. $this->_('TO') . ' <input type="text" name="pr2" size="5" value="' . $result["price"]["value2"] . '" class="inpnum">
	</div>';
}
*/
if (!empty($result["rows"]))
{
	foreach ($result["rows"] as $row)
	{
		echo '<div class="shop_search_param' . $row["id"] . '">';
		switch ($row["type"])
		{
			case 'text':
			case 'textarea':
			case 'editor':
				echo '<span class="infofield">' . $row["name"] . ':</span>
				<input type="text" name="p' . $row["id"] . '" size="20" value="' . $row["value"] . '" class="inptext">';
				break;
			case 'title':
				echo '<span class="infoform">' . $row["name"] . '</span>';
				break;
			case 'date':
				echo '
				<span class="infofield">' . $row["name"] . ':</span>
				' . $this->_('FROM') . '

				<input type="text" name="p' . $row["id"] . '_1" size="5" value="' . $row["value1"] . '" class="inptext timecalendar" showTime="false">

				' . $this->_('TO') . '

				<input type="text" name="p' . $row["id"] . '_2" size="5" value="' . $row["value2"] . '" class="inptext timecalendar" showTime="false">';
				break;
			case 'datetime':
				echo '
				<span class="infofield">' . $row["name"] . ':</span>
				' . $this->_('FROM') . '

				<input type="text" name="p' . $row["id"] . '_1" size="5" value="' . $row["value1"] . '" class="inptext timecalendar" showTime="true">

				' . $this->_('TO') . '

				<input type="text" name="p' . $row["id"] . '_2" size="5" value="' . $row["value2"] . '" class="inptext timecalendar" showTime="true">';
				break;
			case 'numtext':
				echo '
				<span class="infofield">' . $row["name"] . ':</span>
				' . $this->_('FROM') . ' <input type="text" name="p' . $row["id"] . '_1" size="5" value="'
				. $row["value1"] . '" class="inpnum"> 

				' . $this->_('TO') . ' <input type="text" name="p' . $row["id"] . '_2" size="5" value="'
				. $row["value2"] . '" class="inpnum">';
				break;
			case 'checkbox':
				echo '
				<span class="infofield">' . $row["name"] . ':</span>
				<input type="checkbox" name="p' . $row["id"] . '" value="1"' . ($row["value"] ? " checked" : '') . ' class="inpcheckbox">';
				break;
			case 'select':
                                echo '
                                <span class="infofield">' . $row["name"] . ':</span>
                                <select size="1" name="p' . $row["id"] . '">
                                    <option selected="" value="">-</option>';
                                foreach ($row["select_array"] as $key => $value) {
                                    echo '<option value="' . $key . '">' . $value.'</option>';
				}
                                echo'</select>';
                                break;
			case 'multiple':
				echo '
				<span class="infofield">' . $row["name"] . ':</span>';
				foreach ($row["select_array"] as $key => $value)
				{
					echo '<input type="checkbox" name="p' . $row["id"] . '[]" value="' . $key . '"' . (in_array($key, $row["value"]) ? " checked" : '') . ' class="inpcheckbox"> ' . $value.'<br>';
				}
		}
		echo '
		</div>';
	}
}
echo '
	<span class="button_wrap"><div class="button_ls"></div><input type="submit" value="' . $this->_('SEARCH', false) . '" class="button"><div class="button_rs"></div></span>
	</form>
      </div>';
echo '</div>';
?>
